<s:div xmlns:ui="http://java.sun.com/jsf/facelets"
       xmlns:s="http://jboss.org/schema/seam/taglib"
       xmlns:h="http://java.sun.com/jsf/html"
       xmlns:a4j="http://richfaces.org/a4j"
       xmlns:f="http://java.sun.com/jsf/core"
       xmlns:gri="http://java.sun.com/jsf/composite/gri"
       xmlns:rich="http://richfaces.org/rich"
       xmlns:gdk="http://www.ihe.net/gazellecdk"
       xmlns="http://www.w3.org/1999/xhtml"
       rendered="#{xdrsrcSimulatorManagerBean.selectedAffinityDomain.keyword.equals('epSOS') and (xdrsrcSimulatorManagerBean.selectedConfiguration != null)}">
    <s:div id="policySelection">
        <s:decorate template="/layout/edit.xhtml"
                    rendered="#{xdrsrcSimulatorManagerBean.selectedTransaction.keyword.equals('ConsentService:put()')}">
            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Policy']}</ui:define>
            <h:selectOneRadio
                    value="#{xdrsrcSimulatorManagerBean.selectedConsentCode}">
                <f:selectItem id="Opt-in"
                              itemLabel="#{messages['net.ihe.gazelle.xdstar.Optin']}"
                              itemValue="Opt-in"/>
                <f:selectItem id="Opt-out"
                              itemLabel="#{messages['net.ihe.gazelle.xdstar.Optout']}"
                              itemValue="Opt-pit"/>
            </h:selectOneRadio>
        </s:decorate>
    </s:div>
    <!-- ATTACH MODE DIV -->
    <s:div id="attachModeDiv">
        <h:selectOneRadio
                value="#{xdrsrcSimulatorManagerBean.selectedAttachDocumentsMode}"
                id="attachModeSelection"
                rendered="#{xdrsrcSimulatorManagerBean.selectedTransaction != null}">
            <f:selectItem id="upload"
                          itemLabel="#{messages['gazelle.xdrsrc.uploadFiles']}"
                          itemValue="upload"/>
            <f:selectItem id="generate"
                          itemLabel="#{messages['gazelle.xdrsrc.generateFile']}"
                          itemValue="generate"/>
            <a4j:ajax event="change"
                      render="uploadFileDiv,submissionSetMetadataDiv"
                      listener="#{xdrsrcSimulatorManagerBean.getAvailableFormatCodes()}"/>
        </h:selectOneRadio>
        <br/>
        <br/>
    </s:div>
    <!-- UPLOAD FILES -->
    <s:div id="uploadFileDiv">
        <div class="row">
            <div class="col-md-4">
                <h:outputText
                        value="#{messages['gazelle.xdrsrc.uploadFilesInfo.epsos']}"
                        rendered="#{xdrsrcSimulatorManagerBean.selectedAttachDocumentsMode.equals('upload')}"/>
                <br/>

                <rich:fileUpload rendered="#{xdrsrcSimulatorManagerBean.selectedAttachDocumentsMode.equals('upload')}"
                                 acceptedTypes="xml"
                                 fileUploadListener="#{xdrsrcSimulatorManagerBean.uploadListener}"
                                 immediateUpload="true" maxFilesQuantity="2" listHeight="150px">
                    <a4j:ajax event="uploadcomplete" render="filesDiv"/>
                </rich:fileUpload>
            </div>
            <s:div id="filesDiv">
                <div class="col-md-8">
                    <h:panelGrid rendered="#{not empty xdrsrcSimulatorManagerBean.files}">
                        <h:outputText value="#{messages['gazelle.xdrsrc.uploadedFiles']}"
                                      style="font-weight:bold;"/>
                        <gdk:spacer width="5px"/>
                        <a4j:commandButton id="removeAllFilesButton"
                                           styleClass="gzl-btn-red"
                                           actionListener="#{xdrsrcSimulatorManagerBean.deleteAllFiles()}"
                                           value="#{messages['gazelle.xdrsrc.deleteAllFiles']}"
                                           render="filesDiv"/>
                    </h:panelGrid>
                    <br/>
                    <a4j:repeat rendered="#{not empty xdrsrcSimulatorManagerBean.files}"
                                value="#{xdrsrcSimulatorManagerBean.files}" var="file">
                        <h:panelGrid>
                            <a4j:commandLink render="filesDiv"
                                             actionListener="#{xdrsrcSimulatorManagerBean.deleteFile(file)}">

                                <s:span styleClass="gzl-icon-trash-o"/>
                            </a4j:commandLink>

                            <rich:tooltip for="removeFileImage">
							<span id="removeFileTip" style="white-space: nowrap;"> <h:outputText
                                    value="#{messages['gazelle.xdrsrc.RemoveFile']}"/>
							</span>
                            </rich:tooltip>
                            <gdk:spacer width="5px"/>
                            <h:outputText value="#{file.name}"/>
                            <gdk:spacer width="5px"/>
                            <h:selectOneRadio value="#{file.formatCode}">
                                <f:selectItems value="#{xdrsrcSimulatorManagerBean.formatCodes}"/>
                            </h:selectOneRadio>
                        </h:panelGrid>
                        <br/>
                        <br/>
                    </a4j:repeat>
                </div>
            </s:div>
        </div>
    </s:div>
    <!-- SUBMISSION SET METADATA -->
    <s:div id="submissionSetMetadataDiv">
        <br/>
        <br/>
        <gri:panel id="ssmPanel"
                   rendered="#{(xdrsrcSimulatorManagerBean.selectedTransaction != null) and (xdrsrcSimulatorManagerBean.selectedConfiguration != null)}">
            <f:facet name="header">#{messages['gazelle.xdrsrc.submissionSetMetadata']}</f:facet>
            <div class="form-horizontal">
                <a4j:repeat id="rep"
                        value="#{xdrsrcSimulatorManagerBean.submissionSetMetadata}" var="m" >
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{m.metadata.name}</ui:define>
                        <ui:param name="id" value="metadataInput"/>
                        <h:inputText id="metadataInput" value="#{m.value}" size="80" styleClass="form-control"/>
                    </s:decorate>
                </a4j:repeat>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   actionListener="#{xdrsrcSimulatorManagerBean.generateSubmissionSetMetadata()}"
                                   value="#{messages['gazelle.xdrsrc.generateSSMetadata']}"
                                   render="submissionSetMetadataDiv"/>
            </div>
        </gri:panel>
    </s:div>
    <f:subview id="subview_1">
        <ui:include src="/simu/xua.xhtml">
            <ui:param name="simuManager" value="#{xdrsrcSimulatorManagerBean}"/>
        </ui:include>
    </f:subview>
    <br/>
    <!-- send button -->
    <a4j:commandButton id="sendButton" styleClass="gzl-btn-green"
                       actionListener="#{xdrsrcSimulatorManagerBean.sendMessage()}"
                       value="#{messages['gazelle.xdrsrc.Execute']}" render="messagesDiv"/>
    <a4j:commandButton id="resetButton" styleClass="gzl-btn"
                       actionListener="#{xdrsrcSimulatorManagerBean.reset()}"
                       value="#{messages['gazelle.xdrsrc.Reset']}" render="globalDiv"/>
    <br/>
    <br/>
    <s:div id="messagesDiv">
        <gri:panel id="messagePanel"
                   rendered="#{xdrsrcSimulatorManagerBean.displayResultPanel == true}">
            <f:facet name="header">#{messages['gazelle.xdrsrc.executionSummary']}</f:facet>
            #{allMessageManagerBean.listMessagesToDisplay()}
            <ui:include src="/messages/messageTable.xhtml">
                <ui:param name="messageManagerBean" value="#{allMessageManagerBean}"/>
            </ui:include>
        </gri:panel>
    </s:div>
</s:div>
